package com.sky.ioc.controller.dashboard;

import com.sky.ioc.service.assets.AssetService;
import com.sky.ioc.tool.ReturnMsg;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author LunCe
 * 智能看板  ---- 资产
 */

@Api(tags ="智能看板----资产")
@Slf4j
@RestController
@RequestMapping("asset")
public class AssetController {


    @Autowired
    private AssetService assetsService;


    @ApiOperation("查询智能看板资产画像的核心指标")
    @PostMapping("getAssetCoreIndicators")
    public ReturnMsg getAssetCoreIndicators(){
        return assetsService.getAssetCoreIndicators();
    }


    @ApiOperation("查询智能看板资产画像的投资分布")
    @PostMapping("getInvestmentDistribution")
    public ReturnMsg getInvestmentDistribution(){
        return assetsService.getInvestmentDistribution();
    }

    @ApiOperation("查询智能看板资产画像的资产年限")
    @PostMapping("getAssetLife")
    public ReturnMsg  getAssetLife(){
        return assetsService.getAssetLife();
    }

    @ApiOperation("查询智能看板资产画像的图表")
    @PostMapping("getAssetNumber")
    public ReturnMsg  getAssetNumber(){
        return assetsService.getAssetNumber();
    }


}
